## gfxboot 3.2.5

=== Makefile ===
ARCH    := $(shell uname -m)

CC	 = gcc
CFLAGS	 = -g -Wall -Wno-pointer-sign -O2 -fomit-frame-pointer
ifeq "$(ARCH)" "x86_64"
X11LIBS	 = /usr/X11/lib64
else
X11LIBS	 = /usr/X11/lib
endif
THEMES	 = $(wildcard themes/*)
# LIBFILES = happysuse.mod system.inc

.PHONY: all themes clean install doc

all:	bin2c mkbootmsg bincode getx11font addblack

getx11font: getx11font.c
	$(CC) $(CFLAGS) -L$(X11LIBS) $< -lX11 -o $@

mkbootmsg: mkbootmsg.c vocabulary.h bincode.h
	$(CC) $(CFLAGS) $< -o $@

addblack: addblack.c
	$(CC) $(CFLAGS) $< -o $@

bincode.o:  bincode.asm vocabulary.inc modplay_defines.inc modplay.inc kroete.inc
	nasm -f elf -O10 -o $@ -l bincode.lst $<

bincode: bincode.o jpeg.o
	ld -m elf_i386 --section-start .text=0 --oformat binary -Map bincode.map -o $@ $^

bincode.h:  bincode bin2c
	./bin2c bincode >bincode.h

bin2c: bin2c.c
	$(CC) $(CFLAGS) $< -o $@

vocabulary.inc: mk_vocabulary
	./mk_vocabulary -a >$@

vocabulary.h: mk_vocabulary
	./mk_vocabulary -c >$@

jpeg.o: jpeg.S
	as --32 -ahlsn=jpeg.lst -o $@ $<

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin $(DESTDIR)/usr/share/gfxboot
	install -m 755 mkbootmsg getx11font help2txt $(DESTDIR)/usr/sbin
#	install -m 644 $(LIBFILES) $(DESTDIR)/usr/share/gfxboot
	cp -a themes $(DESTDIR)/usr/share/gfxboot

clean: themes doc
	@rm -f mkbootmsg bincode getx11font addblack bincode.h bin2c *.lst *.map vocabulary.inc vocabulary.h *.o *~
	@rm -rf tmp

themes:
	@for i in $(THEMES) ; do make -C $$i BINDIR=../../ $(MAKECMDGOALS) ; done

doc:
	make -C doc $(MAKECMDGOALS)

=== themes/SuSE/Makefile ===
BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )

PRODUCT      = "SUSE Linux 10.1"

HELP2TXT     = $(BINDIR)help2txt
MKBOOTMSG    = $(BINDIR)mkbootmsg
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
HELPBOOT     = $(addsuffix .hlp,$(addprefix boot/,$(subst .,,$(suffix $(basename $(wildcard help-boot.*.html))))))
HELPINST     = $(addsuffix .hlp,$(addprefix install/,$(subst .,,$(suffix $(basename $(wildcard help-install.*.html))))))

HELPBOOT_ALL = $(notdir $(HELPBOOT))
HELPINST_ALL = $(notdir $(HELPINST))

DEFAULT_LANG =

PIC_COMMON   = back.jpg head{,_a}.jpg {l,r,v}dots{,_a}.jpg
PIC_INSTALL  = greeting.jpg pback.jpg phead.jpg panim{,_a}.jpg

FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)

FILES_BOOT   = init languages $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON) $(HELPBOOT_ALL)

FILES_BOOT_EN = init languages en.tr 16x16.fnt $(PIC_COMMON) en.hlp

INST_EXT     = 16x16.fnt $(PIC_COMMON) $(PIC_INSTALL) kroete.dat *.hlp *.tr

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr $(DEFAULT_LANG).hlp
endif

boot/%.hlp: help-boot.%.html boot
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

install/%.hlp: help-install.%.html install
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

.PHONY: all themes font clean po

all: themes

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config $(INCLUDES) $(HELPBOOT)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	@echo en >boot/languages
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
	@echo $(DEFAULT_LANG) >>boot/languages
endif
	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'

installdir: install.config $(INCLUDES) $(HELPINST)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@sh -c 'cd install; chmod +t $(INST_EXT)'
	@sh -c 'cd install; echo $(FILES_INST) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo'

font:
	cat po/*.po *.html >tmp.txt
	../../getx11font -v -l 18 -p 2,4 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`./keymapchars keymap.*.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t languages \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-80-iso10646-1 \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-160-iso10646-1 \
	--fsize 16,5 -f '-freetype-haydar unicode-medium-r-normal--17-120-100-100-p-81-iso10646-1' \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== themes/SuSE/po/Makefile ===
POFILES	= $(wildcard *.po)
TEXTS	= $(addsuffix .tr,$(basename $(wildcard *.po)))

PRODUCT = "SUSE Linux 10.1"

all: text.inc $(TEXTS)

%.tr: %.po text.inc
	bin/po2txt --product=$(PRODUCT) $< >$@

# en.tr uses msgids from bootloader.pot
en.tr text.inc: bootloader.pot
	bin/po2txt --product=$(PRODUCT) $< >en.tr

clean:
	rm -f text.inc *.tr *~

## gfxboot 3.2.23

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 X11LIBS	 = /usr/X11/lib
 endif
 THEMES	 = $(wildcard themes/*)
-# LIBFILES = happysuse.mod system.inc
 
 .PHONY: all themes clean install doc
 
@@ -47,8 +46,8 @@
 install: all
 	install -d -m 755 $(DESTDIR)/usr/sbin $(DESTDIR)/usr/share/gfxboot
 	install -m 755 mkbootmsg getx11font help2txt $(DESTDIR)/usr/sbin
-#	install -m 644 $(LIBFILES) $(DESTDIR)/usr/share/gfxboot
 	cp -a themes $(DESTDIR)/usr/share/gfxboot
+	cp -a bin $(DESTDIR)/usr/share/gfxboot
 
 clean: themes doc
 	@rm -f mkbootmsg bincode getx11font addblack bincode.h bin2c *.lst *.map vocabulary.inc vocabulary.h *.o *~

=== doc/Makefile ===
PROJECT	= gfxboot
XMLSRC	= gfxboot.xml reference.xml

all: html
doc: html txt

reference.xml: ../bincode.asm
	./mkdoc ../bincode.asm >reference.xml

txt: $(XMLSRC)
	xmlto txt $(PROJECT).xml

pdf: $(XMLSRC)
	db2pdf gfxboot.xml
	@rm -f *.aux *.log *.tex *.out

html: $(XMLSRC)
	xmlto html-nochunks $(PROJECT).xml

clean:
	rm -rf *~ *.pdf *.html *.txt reference.xml *.dsl *.local

=== themes/NLD/Makefile ===
BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )

PRODUCT      = "SUSE Linux Enterprise Desktop"
export PRODUCT

HELP2TXT     = $(BINDIR)help2txt
MKBOOTMSG    = $(BINDIR)mkbootmsg
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
HELPBOOT     = $(addsuffix .hlp,$(addprefix boot/,$(subst .,,$(suffix $(basename $(wildcard help-boot.*.html))))))
HELPINST     := $(addsuffix .hlp,$(addprefix install/,$(subst .,,$(suffix $(basename $(wildcard help-install.*.html))))))

HELPBOOT_ALL = $(notdir $(HELPBOOT))
HELPINST_ALL = $(notdir $(HELPINST))

DEFAULT_LANG =

PIC_COMMON   = timer_a.jpg
PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
PIC_BOOT     = back-low.jpg

FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)

FILES_BOOT   = init languages $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON) $(PIC_BOOT) $(HELPBOOT_ALL)

FILES_BOOT_EN = init languages en.tr 16x16.fnt $(PIC_COMMON) back.jpg en.hlp

INST_EXT     = 16x16.fnt $(PIC_COMMON) $(PIC_INSTALL) kroete.dat *.hlp *.tr

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr $(DEFAULT_LANG).hlp
endif

boot/%.hlp: help-boot.%.html boot
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

install/%.hlp: help-install.%.html install
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

.PHONY: all themes font clean po

all: themes

boot.config:
	$(error run 'make prep' first)

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config po boot $(INCLUDES) $(HELPBOOT)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	@echo en >boot/languages
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
	@echo $(DEFAULT_LANG) >>boot/languages
endif
	@mv boot/back-low.jpg boot/back.jpg
	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'

installdir: install.config po install $(INCLUDES) $(HELPINST)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@sh -c 'cd install; chmod +t $(INST_EXT)'
	@sh -c 'cd install; echo $(FILES_INST) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo'

font:
	cat po/*.po *.html >tmp.txt
	../../getx11font -v -l 18 -p 2,4 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`./keymapchars keymap.*.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t languages \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-80-iso10646-1 \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-160-iso10646-1 \
	--fsize 16,5 -f '-freetype-haydar unicode-medium-r-normal--17-120-100-100-p-81-iso10646-1' \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	[ ! -f po/Makefile ] || make -C po clean
	rm -f `find -type l`
	rmdir po 2>/dev/null || true
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

prep:
	[ -e boot.config ] || { mkdir po ; ../../bin/adddir ../SuSE . ; }
	[ ! -f po/Makefile ] || make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== themes/SLES/Makefile ===
BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )

PRODUCT      = "SUSE Linux Enterprise Server"
export PRODUCT

HELP2TXT     = $(BINDIR)help2txt
MKBOOTMSG    = $(BINDIR)mkbootmsg
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
HELPBOOT     = $(addsuffix .hlp,$(addprefix boot/,$(subst .,,$(suffix $(basename $(wildcard help-boot.*.html))))))
HELPINST     := $(addsuffix .hlp,$(addprefix install/,$(subst .,,$(suffix $(basename $(wildcard help-install.*.html))))))

HELPBOOT_ALL = $(notdir $(HELPBOOT))
HELPINST_ALL = $(notdir $(HELPINST))

DEFAULT_LANG =

PIC_COMMON   = timer_a.jpg
PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
PIC_BOOT     = back-low.jpg

FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)

FILES_BOOT   = init languages $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON) $(PIC_BOOT) $(HELPBOOT_ALL)

FILES_BOOT_EN = init languages en.tr 16x16.fnt $(PIC_COMMON) back.jpg en.hlp

INST_EXT     = 16x16.fnt $(PIC_COMMON) $(PIC_INSTALL) kroete.dat *.hlp *.tr

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr $(DEFAULT_LANG).hlp
endif

boot/%.hlp: help-boot.%.html boot
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

install/%.hlp: help-install.%.html install
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

.PHONY: all themes font clean po

all: themes

boot.config:
	$(error run 'make prep' first)

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config po boot $(INCLUDES) $(HELPBOOT)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	@echo en >boot/languages
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
	@echo $(DEFAULT_LANG) >>boot/languages
endif
	@mv boot/back-low.jpg boot/back.jpg
	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'

installdir: install.config po install $(INCLUDES) $(HELPINST)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@sh -c 'cd install; chmod +t $(INST_EXT)'
	@sh -c 'cd install; echo $(FILES_INST) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo'

font:
	cat po/*.po *.html >tmp.txt
	../../getx11font -v -l 18 -p 2,4 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`./keymapchars keymap.*.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t languages \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-80-iso10646-1 \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-160-iso10646-1 \
	--fsize 16,5 -f '-freetype-haydar unicode-medium-r-normal--17-120-100-100-p-81-iso10646-1' \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	[ ! -f po/Makefile ] || make -C po clean
	rm -f `find -type l`
	rmdir po 2>/dev/null || true
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

prep:
	[ -e boot.config ] || { mkdir po ; ../../bin/adddir ../SuSE . ; }
	[ ! -f po/Makefile ] || make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== themes/SuSE/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
 
 PRODUCT      = "SUSE Linux 10.1"
+export PRODUCT
 
 HELP2TXT     = $(BINDIR)help2txt
 MKBOOTMSG    = $(BINDIR)mkbootmsg
@@ -8,23 +9,24 @@
 INCLUDES     = $(wildcard *.inc)
 TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
 HELPBOOT     = $(addsuffix .hlp,$(addprefix boot/,$(subst .,,$(suffix $(basename $(wildcard help-boot.*.html))))))
-HELPINST     = $(addsuffix .hlp,$(addprefix install/,$(subst .,,$(suffix $(basename $(wildcard help-install.*.html))))))
+HELPINST     := $(addsuffix .hlp,$(addprefix install/,$(subst .,,$(suffix $(basename $(wildcard help-install.*.html))))))
 
 HELPBOOT_ALL = $(notdir $(HELPBOOT))
 HELPINST_ALL = $(notdir $(HELPINST))
 
 DEFAULT_LANG =
 
-PIC_COMMON   = back.jpg head{,_a}.jpg {l,r,v}dots{,_a}.jpg
-PIC_INSTALL  = greeting.jpg pback.jpg phead.jpg panim{,_a}.jpg
+PIC_COMMON   = timer_a.jpg
+PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
+PIC_BOOT     = back-low.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
 	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)
 
 FILES_BOOT   = init languages $(TRANSLATIONS) 16x16.fnt \
-	       $(PIC_COMMON) $(HELPBOOT_ALL)
+	       $(PIC_COMMON) $(PIC_BOOT) $(HELPBOOT_ALL)
 
-FILES_BOOT_EN = init languages en.tr 16x16.fnt $(PIC_COMMON) en.hlp
+FILES_BOOT_EN = init languages en.tr 16x16.fnt $(PIC_COMMON) back.jpg en.hlp
 
 INST_EXT     = 16x16.fnt $(PIC_COMMON) $(PIC_INSTALL) kroete.dat *.hlp *.tr
 
@@ -44,6 +46,9 @@
 
 all: themes
 
+boot.config:
+	$(error run 'make prep' first)
+
 boot install: po
 	mkdir -p $@
 
@@ -52,7 +57,7 @@
 
 themes: bootdir installdir
 
-bootdir: boot.config $(INCLUDES) $(HELPBOOT)
+bootdir: boot.config po boot $(INCLUDES) $(HELPBOOT)
 	@cp -a po/*.tr boot
 	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
 	@echo en >boot/languages
@@ -61,9 +66,10 @@
 	@echo $(DEFAULT_LANG) >boot/lang
 	@echo $(DEFAULT_LANG) >>boot/languages
 endif
+	@mv boot/back-low.jpg boot/back.jpg
 	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'
 
-installdir: install.config $(INCLUDES) $(HELPINST)
+installdir: install.config po install $(INCLUDES) $(HELPINST)
 	@cp -a po/*.tr install
 	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
 	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
@@ -77,7 +83,7 @@
 	cat po/*.po *.html >tmp.txt
 	../../getx11font -v -l 18 -p 2,4 \
 	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
-	`./keymapchars keymap.*.inc` \
+	`../../bin/keymapchars keymap.*.inc` \
 	-t tmp.txt \
 	-t install/log -t boot/log \
 	-t languages \
@@ -88,7 +94,15 @@
 	rm -f tmp.txt
 
 clean:
-	make -C po clean
+	[ ! -f po/Makefile ] || make -C po clean
+	rm -f `find -type l`
+	rmdir po 2>/dev/null || true
 	rm -f bootdir installdir *~ *.log
 	rm -rf boot install
 
+prep:
+	[ -e boot.config ] || { mkdir po ; ../../bin/adddir ../SuSE . ; }
+	[ ! -f po/Makefile ] || make -C po clean
+	rm -f bootdir installdir *~ *.log
+	rm -rf boot install
+

=== themes/SuSE/po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 POFILES	= $(wildcard *.po)
 TEXTS	= $(addsuffix .tr,$(basename $(wildcard *.po)))
 
-PRODUCT = "SUSE Linux 10.1"
+PRODUCT ?= "SUSE Linux 10.1"
 
 all: text.inc $(TEXTS)

## gfxboot 3.3.28

=== themes/SuSE/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
 
-PRODUCT      = "SUSE Linux 10.1"
+PRODUCT      = "openSUSE 10.3"
 export PRODUCT
 
 HELP2TXT     = $(BINDIR)help2txt
@@ -16,9 +16,9 @@
 
 DEFAULT_LANG =
 
-PIC_COMMON   = timer_a.jpg
+PIC_COMMON   = timer_a.jpg pback.jpg phead.jpg panim{,_a}.jpg pabout.txt gfxboot.cfg
 PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
-PIC_BOOT     = back-low.jpg
+PIC_BOOT     = back-boot.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
 	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)
@@ -42,7 +42,7 @@
 install/%.hlp: help-install.%.html install
 	$(HELP2TXT) --product=$(PRODUCT) $< >$@
 
-.PHONY: all themes font clean po
+.PHONY: all themes font aafont bitmapfont clean po
 
 all: themes
 
@@ -66,7 +66,7 @@
 	@echo $(DEFAULT_LANG) >boot/lang
 	@echo $(DEFAULT_LANG) >>boot/languages
 endif
-	@mv boot/back-low.jpg boot/back.jpg
+	@mv boot/back-boot.jpg boot/back.jpg
 	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'
 
 installdir: install.config po install $(INCLUDES) $(HELPINST)
@@ -79,17 +79,40 @@
 	@sh -c 'cd install; chmod +t $(INST_EXT)'
 	@sh -c 'cd install; echo $(FILES_INST) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo'
 
-font:
-	cat po/*.po *.html >tmp.txt
-	../../getx11font -v -l 18 -p 2,4 \
+font: aafont
+
+aafont:
+	cat po/*.tr *.html >tmp.txt
+	../../mkblfont -v -l 18 \
 	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
 	`../../bin/keymapchars keymap.*.inc` \
 	-t tmp.txt \
 	-t install/log -t boot/log \
 	-t languages \
-	-f -efont-fixed-bold-r-normal--16-160-75-75-c-80-iso10646-1 \
-	-f -efont-fixed-bold-r-normal--16-160-75-75-c-160-iso10646-1 \
-	--fsize 16,5 -f '-freetype-haydar unicode-medium-r-normal--17-120-100-100-p-81-iso10646-1' \
+	-f NachlieliCLM-Bold:size=14:c=0x590-0x5ff \
+	-f KacstOne:size=14:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
+	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=1 \
+	-f lohit_hi:size=18:c=0x0901-0x0970:bold=1 \
+	-f lohit_pa:size=19:c=0x0a01-0x0a74:bold=1 \
+	-f lohit_gu:size=18:c=0x0a81-0x0af1:bold=1 \
+	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=1 \
+	-f lklug:size=17:c=0x0d82-0x0df4:bold=1:dy=1 \
+	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
+	-f DejaVuSans-Bold:size=14 \
+	-f FZHeiTi:size=17:nobitmap=1 \
+	-f gulim:size=17:bold=1:nobitmap=1 \
+	16x16.fnt >16x16.fnt.log
+	rm -f tmp.txt
+
+bitmapfont:
+	cat po/*.tr *.html >tmp.txt
+	../../mkblfont -v -l 18 \
+	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
+	`../../bin/keymapchars keymap.*.inc` \
+	-t tmp.txt \
+	-t install/log -t boot/log \
+	-t languages \
+	-f b16_b:prop=2:space_width=6 \
 	16x16.fnt >16x16.fnt.log
 	rm -f tmp.txt
 
@@ -97,12 +120,12 @@
 	[ ! -f po/Makefile ] || make -C po clean
 	rm -f `find -type l`
 	rmdir po 2>/dev/null || true
-	rm -f bootdir installdir *~ *.log
+	rm -f bootdir installdir *~
 	rm -rf boot install
 
 prep:
 	[ -e boot.config ] || { mkdir po ; ../../bin/adddir ../SuSE . ; }
 	[ ! -f po/Makefile ] || make -C po clean
-	rm -f bootdir installdir *~ *.log
+	rm -f bootdir installdir *~
 	rm -rf boot install

=== themes/Zen/Makefile ===
BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )

PRODUCT      = "ZENworks Imaging 8.0"
export PRODUCT

HELP2TXT     = $(BINDIR)help2txt
MKBOOTMSG    = $(BINDIR)mkbootmsg
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
HELPBOOT     = $(addsuffix .hlp,$(addprefix boot/,$(subst .,,$(suffix $(basename $(wildcard help-boot.*.html))))))
HELPINST     := $(addsuffix .hlp,$(addprefix install/,$(subst .,,$(suffix $(basename $(wildcard help-install.*.html))))))

HELPBOOT_ALL = $(notdir $(HELPBOOT))
HELPINST_ALL = $(notdir $(HELPINST))

DEFAULT_LANG =

PIC_COMMON   = timer_a.jpg
PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
PIC_BOOT     = back-low.jpg

FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
	       $(PIC_COMMON) $(PIC_INSTALL) $(HELPINST_ALL)

FILES_BOOT   = init languages $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON) $(PIC_BOOT) $(HELPBOOT_ALL)

FILES_BOOT_EN = init languages en.tr 16x16.fnt $(PIC_COMMON) back.jpg en.hlp

INST_EXT     = 16x16.fnt $(PIC_COMMON) $(PIC_INSTALL) kroete.dat *.hlp *.tr

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr $(DEFAULT_LANG).hlp
endif

boot/%.hlp: help-boot.%.html boot
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

install/%.hlp: help-install.%.html install
	$(HELP2TXT) --product=$(PRODUCT) $< >$@

.PHONY: all themes font clean po

all: themes

boot.config:
	$(error run 'make prep' first)

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config po boot $(INCLUDES) $(HELPBOOT)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	@echo en >boot/languages
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
	@echo $(DEFAULT_LANG) >>boot/languages
endif
	@mv boot/back-low.jpg boot/back.jpg
	@sh -c 'cd boot; echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message'

installdir: install.config po install $(INCLUDES) $(HELPINST)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@sh -c 'cd install; chmod +t $(INST_EXT)'
	@sh -c 'cd install; echo $(FILES_INST) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo'

font:
	cat po/*.po *.html >tmp.txt
	../../getx11font -v -l 18 -p 2,4 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`../../bin/keymapchars keymap.*.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t languages \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-80-iso10646-1 \
	-f -efont-fixed-bold-r-normal--16-160-75-75-c-160-iso10646-1 \
	--fsize 16,5 -f '-freetype-haydar unicode-medium-r-normal--17-120-100-100-p-81-iso10646-1' \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	[ ! -f po/Makefile ] || make -C po clean
	rm -f `find -type l`
	rmdir po 2>/dev/null || true
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

prep:
	[ -e boot.config ] || { mkdir po ; ../../bin/adddir ../SuSE . ; }
	[ ! -f po/Makefile ] || make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

## gfxboot 3.3.39

=== Makefile ===
ARCH    := $(shell uname -m)

CC	 = gcc
CFLAGS	 = -g -Wall -Wno-pointer-sign -O2 -fomit-frame-pointer
THEMES	 = $(wildcard themes/*)

.PHONY: all themes clean install doc

all:	bin2c mkbootmsg bincode mkblfont addblack

mkblfont: mkblfont.c
	$(CC) $(CFLAGS) -I /usr/include/freetype2 -lfreetype $< -o $@

mkbootmsg: mkbootmsg.c vocabulary.h bincode.h
	$(CC) $(CFLAGS) $< -o $@

addblack: addblack.c
	$(CC) $(CFLAGS) $< -o $@

bincode.o:  bincode.asm vocabulary.inc modplay_defines.inc modplay.inc kroete.inc
	bin/trace_context bincode.asm
	nasm -f elf -O99 -o $@ -l bincode.lst $<

bincode: bincode.o jpeg.o
	ld -m elf_i386 --section-start .text=0 --oformat binary -Map bincode.map -o $@ $^

bincode.h:  bincode bin2c
	./bin2c bincode >bincode.h

bin2c: bin2c.c
	$(CC) $(CFLAGS) $< -o $@

vocabulary.inc: mk_vocabulary
	./mk_vocabulary -a >$@

vocabulary.h: mk_vocabulary
	./mk_vocabulary -c >$@

jpeg.o: jpeg.S
	as --32 -ahlsn=jpeg.lst -o $@ $<

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin $(DESTDIR)/usr/share/gfxboot
	install -m 755 mkbootmsg mkblfont help2txt $(DESTDIR)/usr/sbin
	cp -a themes $(DESTDIR)/usr/share/gfxboot
	cp -a bin $(DESTDIR)/usr/share/gfxboot

clean: themes doc
	@rm -f mkbootmsg bincode mkblfont addblack bincode.h bin2c *.lst *.map vocabulary.inc vocabulary.h *.o *~
	@rm -rf tmp

themes:
	@for i in $(THEMES) ; do make -C $$i BINDIR=../../ $(MAKECMDGOALS) ; done

doc:
	make -C doc $(MAKECMDGOALS)

=== themes/NLD/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DEFAULT_LANG =
 
 PIC_COMMON   = timer_a.jpg
-PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
+PIC_INSTALL  = back.jpg welcome.jpg grad?.jpg w?.jpg
 PIC_BOOT     = back-low.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \

=== themes/SLES/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DEFAULT_LANG =
 
 PIC_COMMON   = timer_a.jpg
-PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
+PIC_INSTALL  = back.jpg welcome.jpg grad?.jpg w?.jpg
 PIC_BOOT     = back-low.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \

=== themes/SuSE/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DEFAULT_LANG =
 
 PIC_COMMON   = timer_a.jpg pback.jpg phead.jpg panim{,_a}.jpg pabout.txt gfxboot.cfg
-PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
+PIC_INSTALL  = back.jpg welcome.jpg grad?.jpg w?.jpg
 PIC_BOOT     = back-boot.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \
@@ -60,7 +60,7 @@
 bootdir: boot.config po boot $(INCLUDES) $(HELPBOOT)
 	@cp -a po/*.tr boot
 	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
-	@echo en >boot/languages
+	@echo en_US >boot/languages
 	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
 ifdef DEFAULT_LANG
 	@echo $(DEFAULT_LANG) >boot/lang
@@ -93,14 +93,14 @@
 	-f KacstOne:size=14:c=0x600-0x6ff,0xfe70-0xfefc:dy=2 \
 	-f MuktiNarrow:size=18:c=0x0981-0x09fa:bold=1 \
 	-f lohit_hi:size=18:c=0x0901-0x0970:bold=1 \
-	-f lohit_pa:size=19:c=0x0a01-0x0a74:bold=1 \
+	-f lohit_pa:size=19:c=0x0a01-0x0a74:bold=1:autohint=1 \
 	-f lohit_gu:size=18:c=0x0a81-0x0af1:bold=1 \
 	-f TSCu_Paranar:size=18:c=0x0b82-0x0bfa:dy=2:bold=1 \
 	-f lklug:size=17:c=0x0d82-0x0df4:bold=1:dy=1 \
 	-f KhmerOS_sys:size=16:c=0x1780-0x17f9:dy=-2 \
 	-f DejaVuSans-Bold:size=14 \
-	-f FZHeiTi:size=17:nobitmap=1 \
-	-f gulim:size=17:bold=1:nobitmap=1 \
+	-f FZHeiTi:size=17:nobitmap=1:autohint=1 \
+	-f gulim:size=17:bold=1:nobitmap=1:autohint=1 \
 	16x16.fnt >16x16.fnt.log
 	rm -f tmp.txt

=== themes/Zen/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DEFAULT_LANG =
 
 PIC_COMMON   = timer_a.jpg
-PIC_INSTALL  = back.jpg welcome.jpg text*.pcx
+PIC_INSTALL  = back.jpg welcome.jpg grad?.jpg w?.jpg
 PIC_BOOT     = back-low.jpg
 
 FILES_INST   = init languages $(TRANSLATIONS) 16x16.fnt kroete.dat \

=== themes/SuSE/po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 POFILES	= $(wildcard *.po)
 TEXTS	= $(addsuffix .tr,$(basename $(wildcard *.po)))
 
-PRODUCT ?= "SUSE Linux 10.1"
+PRODUCT ?= "openSUSE 10.3"
 
 all: text.inc $(TEXTS)

## gfxboot 4.2.2

=== Makefile ===
ARCH := $(shell uname -m)
GFXBOOT_VERSION := $(shell cat VERSION)

CC	 = gcc
CFLAGS	 = -g -Wall -Wno-pointer-sign -O2 -fomit-frame-pointer
# THEMES	 = $(wildcard themes/*)
THEMES	 = themes/upstream themes/openSUSE themes/SLES themes/SLED

.PHONY: all clean distclean doc install installsrc themes

all:	bin2c gfxboot-compile bincode gfxboot-font addblack

gfxboot-font: gfxboot-font.c
	$(CC) $(CFLAGS) -I /usr/include/freetype2 -lfreetype $< -o $@

gfxboot-compile: gfxboot-compile.c vocabulary.h bincode.h
	$(CC) $(CFLAGS) $< -o $@

addblack: addblack.c
	$(CC) $(CFLAGS) $< -o $@

bincode.o:  bincode.asm vocabulary.inc modplay_defines.inc modplay.inc kroete.inc
	bin/trace_context bincode.asm
	nasm -f elf -O99 -o $@ -l bincode.lst $<

bincode: bincode.o jpeg.o
	ld -m elf_i386 --section-start .text=0 --oformat binary -Map bincode.map -o $@ $^

bincode.h:  bincode bin2c
	./bin2c bincode >bincode.h

bin2c: bin2c.c
	$(CC) $(CFLAGS) $< -o $@

vocabulary.inc: mk_vocabulary
	./mk_vocabulary -a >$@

vocabulary.h: mk_vocabulary
	./mk_vocabulary -c >$@

jpeg.o: jpeg.S
	as --32 -ahlsn=jpeg.lst -o $@ $<

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin
	perl -p -e 's/<VERSION>/$(GFXBOOT_VERSION)/' gfxboot >gfxboot~
	install -m 755 gfxboot~ $(DESTDIR)/usr/sbin/gfxboot
	install -m 755 gfxtest $(DESTDIR)/usr/sbin
	install -m 755 gfxboot-compile gfxboot-font $(DESTDIR)/usr/sbin
	@for i in $(THEMES) ; do \
	  install -d -m 755 $(DESTDIR)/etc/bootsplash/$$i/{bootloader,cdrom} ; \
	  cp $$i/bootlogo $(DESTDIR)/etc/bootsplash/$$i/cdrom ; \
	  bin/unpack_bootlogo $(DESTDIR)/etc/bootsplash/$$i/cdrom ; \
          install -m 644 $$i/{message,po/*.tr,help-boot/*.hlp} $(DESTDIR)/etc/bootsplash/$$i/bootloader ; \
	  bin/2hl --link --quiet $(DESTDIR)/etc/bootsplash/$$i/* ; \
	done

installsrc:
	install -d -m 755 $(DESTDIR)/usr/share/gfxboot/themes
	@for i in $(THEMES) ; do \
	  cp -a $$i $(DESTDIR)/usr/share/gfxboot/themes ; \
	done
	cp -a themes/example* $(DESTDIR)/usr/share/gfxboot/themes
	cp -a bin test $(DESTDIR)/usr/share/gfxboot

clean: themes doc
	@rm -f gfxboot-compile bincode gfxboot-font addblack bincode.h bin2c *.lst *.map vocabulary.inc vocabulary.h *.o *~
	@rm -rf tmp

distclean: clean
	@for i in themes/example* ; do make -C $$i clean || break ; done

themes:
	@for i in $(THEMES) ; do make -C $$i $(MAKECMDGOALS) || break ; done

doc:
	make -C doc $(MAKECMDGOALS)

## gfxboot 4.4.3

=== debian/changelog ===
gfxboot (4.4.3-1) unstable; urgency=low

  * Merging upstream version 4.4.3.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Removing leftover README.source.
  * Compacting copyright file.
  * Correcting spelling typo in package description, thanks to Simon
    Kainz <simon@familiekainz.at> (Closes: #636586).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 18:33:56 +0200

gfxboot (4.3.5-2) experimental; urgency=low

  * Adding patch from Colin Watson <cjwatson@ubuntu.com> to fix link
    order with 'ld --as-needed' (Closes: #605771).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 03 Dec 2010 17:39:02 +0100

gfxboot (4.3.5-1) experimental; urgency=low

  * Merging upstream version 4.3.5.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 17:25:01 +0100

gfxboot (4.3.1-2) experimental; urgency=low

  * Also building on hurd-i386 (Closes: #597273).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Sep 2010 01:41:57 +0200

gfxboot (4.3.1-1) experimental; urgency=low

  * Merging upstream version 4.3.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 15 Sep 2010 08:56:15 +0200

gfxboot (4.3.0-1) experimental; urgency=low

  * Merging upstream version 4.3.0.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 22:44:51 +0200

gfxboot (4.2.2-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 4.2.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Jul 2010 00:31:03 +0200

gfxboot (4.2.1-1) unstable; urgency=low

  * Merging upstream version 4.2.1.
  * Dropping dump-malloc-screen-size.patch, not required anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Jun 2010 09:45:57 +0200

gfxboot (4.1.47-1) unstable; urgency=low

  * Merging upstream version 4.1.47.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 May 2010 15:51:34 +0200

gfxboot (4.1.44-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 4.1.44.
  * Sorting dh call in rules to common order.
  * Updating year in copyright file.
  * Reordering debhelper install files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 24 Apr 2010 11:30:17 +0200

gfxboot (4.1.41-1) unstable; urgency=low

  * Merging upstream version 4.1.41.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 23 Dec 2009 09:06:26 +0100

gfxboot (4.1.40-4) unstable; urgency=low

  * Adding cpio to depends of gfxboot-dev (Closes: #560625).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 12 Dec 2009 07:46:17 +0100

gfxboot (4.1.40-3) unstable; urgency=low

  * Also building package on kfreebsd-amd64 (Closes: #559403).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 05 Dec 2009 23:03:47 +0100

gfxboot (4.1.40-2) unstable; urgency=low

  * Also building package on kfreebsd-i386 (Closes: #559403).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 04 Dec 2009 08:12:29 +0100

gfxboot (4.1.40-1) unstable; urgency=low

  * Dropping lpia from architectures, lpia is dead.
  * Merging upstream version 4.1.40.
  * Updating README.source.
  * Adding explicit source version 1.0 until switch to 3.0.
  * Bumping versioned build-depends on quilt.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 27 Nov 2009 15:11:52 +0100

gfxboot (4.1.39-2) unstable; urgency=low

  * Only building on intel architectures, appears to be non-portable
    otherwise (Closes: #556638).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 17 Nov 2009 12:32:03 +0100

gfxboot (4.1.39-1) unstable; urgency=low

  * Merging upstream version 4.1.39.
  * Updating debhelper install and links file for newly added gfxtest.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 10 Nov 2009 11:59:36 +0100

gfxboot (4.1.33-1) unstable; urgency=low

  * Merging upstream version 4.1.33.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 21 Oct 2009 08:35:18 +0200

gfxboot (4.1.31-1) unstable; urgency=low

  * Merging upstream version 4.1.31.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Oct 2009 13:01:05 +0200

gfxboot (4.1.30-1) unstable; urgency=low

  * Merging upstream version 4.1.30.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Oct 2009 20:33:33 +0200

gfxboot (4.1.28-1) unstable; urgency=low

  * Merging upstream version 4.1.28.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Oct 2009 19:52:34 +0200

gfxboot (4.1.24-1) unstable; urgency=low

  * Merging upstream version 4.1.24.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Sep 2009 21:14:37 +0200

gfxboot (4.1.19-1) unstable; urgency=low

  * Initial release (Closes: #465768).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 02 Sep 2009 14:24:36 +0200

=== debian/control ===
Source: gfxboot
Section: misc
Priority: extra
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 8), nasm, libfreetype6-dev, w3m, xmlto
Standards-Version: 3.9.2
Homepage: http://gfxboot.sourceforge.net/

Package: gfxboot
Architecture: any-amd64 any-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gfxboot-themes
Description: tool to test and create graphical boot logos (runtime)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the runtime utility.

Package: gfxboot-dev
Architecture: any-amd64 any-i386
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gfxboot (= ${binary:Version}), cpio,
 libfribidi0, libhtml-parser-perl
Suggests: gfxboot-themes
Description: tool to test and create graphical boot logos (development)
 gfxboot is a tool to test and create graphical boot logos for gfxboot compliant
 boot loaders. Currently, this includes grub, lilo, and syslinux (all payloads).
 .
 This package contains the development utilities.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	$(MAKE) -C doc clean

override_dh_auto_build:
	dh_auto_build

	$(MAKE) -C doc doc

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

	install -D -m 0644 doc/gfxboot.8 debian/gfxboot/usr/share/man/man1/gfxboot.1

	# Correcting program location
	mv debian/tmp/usr/sbin debian/tmp/usr/bin
	sed -i -e 's|^.TH GFXBOOT 8|.TH GFXBOOT 1|' debian/gfxboot/usr/share/man/man1/gfxboot.1

	# Removing useless files
	rm -rf debian/tmp/etc

override_dh_install:
	dh_install --fail-missing

## gfxboot 4.5.0

=== debian/changelog ===
gfxboot (4.5.0-3) unstable; urgency=low

  * Adding patch to update syslinux paths (Closes: #682974).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 27 Jul 2012 17:44:09 +0200

gfxboot (4.5.0-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.
  * Trimming auto_install override in rules.
  * Adding patch to avoid overwriting buildflags.
  * Enabling hardened buildflags.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 18:05:56 +0200

gfxboot (4.5.0-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 4.5.0.
  * Updating package to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating years in copyright file.
  * Updating copyright file to format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 06 Jun 2012 16:17:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 8), nasm, libfreetype6-dev, w3m, xmlto
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), nasm, libfreetype6-dev, w3m, xmlto
+Standards-Version: 3.9.3
 Homepage: http://gfxboot.sourceforge.net/
 
 Package: gfxboot

## gfxboot 4.5.1

=== debian/changelog ===
gfxboot (4.5.1-3ubuntu1) trusty; urgency=medium

  * Fix build with changed freetype header layout.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jan 2014 16:00:33 +0000

gfxboot (4.5.1-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:31:54 +0100

gfxboot (4.5.1-2) unstable; urgency=low

  * Removing Otavio from uploaders with his consent.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:30:16 +0100

gfxboot (4.5.1-1) unstable; urgency=low

  * Merging upstream version 4.5.1.
  * Updating to standards version 3.9.4.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 12:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gfxboot
 Section: misc
 Priority: extra
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends: debhelper (>= 9), nasm, libfreetype6-dev, w3m, xmlto
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gfxboot.sourceforge.net/
 
 Package: gfxboot

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh ${@}
@@ -9,12 +11,12 @@
 	$(MAKE) -C doc clean
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)"
 
 	$(MAKE) -C doc doc
 
 override_dh_auto_install:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install
 
 	install -D -m 0644 doc/gfxboot.8 debian/gfxboot/usr/share/man/man1/gfxboot.1
 
@@ -27,3 +29,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z9

## gfxboot 4.5.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,20 @@
-ARCH := $(shell uname -m)
-GFXBOOT_VERSION := $(shell cat VERSION)
-
 CC	 = gcc
 CFLAGS	 = -g -Wall -Wno-pointer-sign -O2 -fomit-frame-pointer
+
+GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
+GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
+
+VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
+
 # THEMES	 = $(wildcard themes/*)
-THEMES	 = themes/upstream themes/openSUSE themes/SLES themes/SLED
+THEMES	 = themes/upstream themes/openSUSE themes/SLES themes/SLED themes/KDE
 
 .PHONY: all clean distclean doc install installsrc themes
 
-all:	bin2c gfxboot-compile bincode gfxboot-font addblack
+all:	changelog bin2c gfxboot-compile bincode gfxboot-font addblack
+
+changelog: $(GITDEPS)
+	$(GIT2LOG) --changelog changelog
 
 gfxboot-font: gfxboot-font.c
 	$(CC) $(CFLAGS) -I /usr/include/freetype2 -lfreetype $< -o $@
@@ -43,7 +49,7 @@
 
 install: all
 	install -d -m 755 $(DESTDIR)/usr/sbin
-	perl -p -e 's/<VERSION>/$(GFXBOOT_VERSION)/' gfxboot >gfxboot~
+	perl -p -e 's/<VERSION>/$(VERSION)/' gfxboot >gfxboot~
 	install -m 755 gfxboot~ $(DESTDIR)/usr/sbin/gfxboot
 	install -m 755 gfxtest $(DESTDIR)/usr/sbin
 	install -m 755 gfxboot-compile gfxboot-font $(DESTDIR)/usr/sbin

=== themes/openSUSE/Makefile ===
BINDIR      := $(shell [ -x ../../gfxboot-compile ] && echo ../../ )

BASED_ON     = $(shell perl -ne 'print if s/^based_on=//' config)

PRODUCT = $(shell perl -ne 'print if s/^product=//' config)

ifeq ($(BASED_ON),)
PREPARED     = 1
else
PREPARED     = $(shell [ -f .prepared ] && echo 1)
endif

ADDDIR       = ../../bin/adddir
BFLAGS       = -O -v -L ../..

SUBDIRS      = fonts help-boot help-install po src

THEME        = $(shell basename `pwd`)

DEFAULT_LANG =

.PHONY: all clean distclean themes $(SUBDIRS)

ifeq ($(PREPARED), 1)

  all: bootlogo message

else

  all:
	$(ADDDIR) ../$(BASED_ON) .
	make clean
	touch .prepared
	make

endif

themes: all

%/.ready: %
	make -C $*

src/main.bin: src
	make -C src

bootlogo: src/main.bin src/gfxboot.cfg help-install/.ready po/.ready fonts/.ready
	@rm -rf bootlogo.dir
	@mkdir bootlogo.dir
	perl -p -e 's/^(layout=.*)/$$1,install/' src/gfxboot.cfg >bootlogo.dir/gfxboot.cfg
	perl -pi -e 's/^(theme=).*/$$1$(THEME)/' bootlogo.dir/gfxboot.cfg
	perl -pi -e 's/^(product=).*/$$1$(PRODUCT)/' bootlogo.dir/gfxboot.cfg
	cp -rL data-install/* fonts/*.fnt po/*.tr bootlogo.dir
	cp -rL help-install/*.hlp bootlogo.dir
	cp src/main.bin bootlogo.dir/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >bootlogo.dir/lang
endif
	@sh -c 'cd bootlogo.dir; chmod +t * ; chmod -t init languages'
	@sh -c 'cd bootlogo.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet -o >../bootlogo'

message: src/main.bin src/gfxboot.cfg help-boot/.ready po/.ready fonts/.ready
	@rm -rf message.dir
	@mkdir message.dir
	perl -p -e 's/^(layout=.*)/$$1,boot/' src/gfxboot.cfg >message.dir/gfxboot.cfg
	perl -pi -e 's/^(theme=).*/$$1$(THEME)/' message.dir/gfxboot.cfg
	cp -rL data-boot/* fonts/*.fnt message.dir
	cp -rL po/en.tr help-boot/en.hlp message.dir
	cp src/main.bin message.dir/init
ifdef DEFAULT_LANG
	cp -rL po/$(DEFAULT_LANG).tr help-boot/$(DEFAULT_LANG).hlp message.dir
	@echo $(DEFAULT_LANG) >message.dir/lang
	@echo $(DEFAULT_LANG) >>message.dir/languages
endif
	@sh -c 'cd message.dir; echo * | sed -e "s/ /\n/g" | cpio --quiet -o >../message'

clean:
	@for i in $(SUBDIRS) ; do [ ! -f $$i/Makefile ] ||  make -C $$i clean || break ; done
	rm -rf bootlogo bootlogo.dir message message.dir *~

distclean: clean
ifneq ($(BASED_ON),)
	rm -f .prepared
	rm -f `find -type l \! -wholename ./Makefile`
	rmdir `find -depth -type d \! -name . \! -name .svn \! -wholename './.svn/*' \! -wholename './*/.svn/*'` 2>/dev/null || true
endif

=== themes/openSUSE/help-boot/Makefile ===
BINDIR    = $(shell [ -x ../../../gfxboot ] && echo ../../../ )
GFXBOOT   = $(BINDIR)gfxboot
PRODUCT   = $(shell perl -ne 'print if s/^product=//' ../config)
HELPFILES = $(addsuffix .hlp, $(shell for i in * ; do [ -d $$i ] && echo $$i ; done))

HELPSRC   = opt*
HELPNAVI  = navi
ENTITIES  = product='$(PRODUCT)' fkey_help=F1 fkey_lang=F2 fkey_profile=F3

%.hlp: %
	$(GFXBOOT) --help-create $@ --define $(ENTITIES) --navi $</$(HELPNAVI).html $</$(HELPSRC).html || true

all: .ready

.ready:	$(HELPFILES)
	@touch .ready

clean:
	rm -f .ready *.hlp *~
